package eu.headcrashing;

import javax.ws.rs.core.Feature;
import javax.ws.rs.core.FeatureContext;
import javax.ws.rs.ext.Provider;

@Provider
public class PDFSupport implements Feature {
	@Override
	public boolean configure(final FeatureContext context) {
		context.property("doc-template", "ci.xsf");
		context.property("rendering-quality", "high");
		context.register(PdfRenderer.class);
		context.register(PdfExceptionMapper.class);
		// ...
		return true;
	}
}
