package eu.headcrashing;

import javax.inject.Inject;
import javax.ws.rs.BeanParam;
import javax.ws.rs.GET;
import javax.ws.rs.Path;

import eu.headcrashing.NotebookApplication.Notes;

@Path("notebook")
public class GoodNotebookResource {
	@Inject
	NotebookApplication notebookApplication;

	@GET
	public Notes getNotes(@BeanParam final TimeSpan timeSpan) {
		return this.notebookApplication.getNotes(timeSpan);
	}
}